Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		ocrad
Version:	0.17
Release:	1
License:	GNU/GPL
URL:		http://www.gnu.org/software/ocrad/ocrad.html
Group:		Multimedia/Graphics
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-gcc43.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is an OCR (Optical Character Recognition) program.
PreReq:		/sbin/install-info

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
%{name} is an OCR (Optical Character Recognition) program implemented as a filter and based on a feature extraction method.
It reads a bitmap image in pbm format and produces text in byte (8-bit) or UTF-8 formats.

%post
/sbin/install-info %{_infodir}/ocrad.info.gz %{_infodir}/dir 

%preun 
if [ "$1" = 0 ]; then 
    /sbin/install-info --delete %{_infodir}/ocrad.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
%configure
make CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_flags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT%_mandir/man1
install -p doc/ocrad.1 $RPM_BUILD_ROOT%_mandir/man1
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir
%_infodir/*.info*
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 0.17-1
- Version update
* Thu Feb 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.14-1
- Version update
* Thu Feb 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- Version Update
* Mon Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.12-2
- Tweaked specfile, removed wrong obsoletes tag, added infofile install
* Mon Jun 20 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.12-1
- Version Update to 0.12
* Wed Mar 02 2005 Christian Wasem <wasem@ccux-linux.de> 0.11-1
- Initial Release
